package com.naaturel.ANN.domain.abstraction;

import com.naaturel.ANN.infrastructure.dataset.DataSet;
import com.naaturel.ANN.infrastructure.persistence.ModelSnapshot;

public interface Trainer {
    void train(float learningRate, int epoch, DataSet dataset);
    void saveModel(ModelSnapshot snapshot, String path);
}
